<h1 align="center"><a href="https://www.tribalwars.net/en-dk/">Tribal Wars</a> scripts to enhance your gameplay</h1>

<div align="center">

[![License](https://img.shields.io/badge/License-MIT-green)](#license)
[![CI/CD](https://woodpecker.dwysokinski.me/api/badges/10/status.svg)](https://woodpecker.dwysokinski.me/repos/10)

</div>

<p align="center">
    <a href="https://twhelp.app/api/v2/swagger/">API</a>
    ·
    <a href="https://gitea.dwysokinski.me/twhelp/scripts">Scripts</a>
    ·
    <a href="https://gitea.dwysokinski.me/twhelp/dcbot">Discord Bot</a>
    ·
    <a href="mailto:contact@twhelp.app">Report Bug</a>
    ·
    <a href="mailto:contact@twhelp.app">Request Feature</a>
  </p>

## Scripts

### Extended player profile

This script adds additional info and actions on a player overview.

![img.png](assets/extended-player-profile.png)

#### Installation

[User script](https://scripts.twhelp.app/extended-player-profile.user.js)

Quick bar:
```javascript
javascript:
    $.getScript('https://scripts.twhelp.app/extended-player-profile.quickbar.js?_='+~~(Date.now()/9e6))
```

### Extended tribe profile

This script adds additional info and actions on a tribe overview.

![img.png](assets/extended-tribe-profile.png)

#### Installation

[User script](https://scripts.twhelp.app/extended-tribe-profile.user.js)

Quick bar:
```javascript
javascript:
    $.getScript('https://scripts.twhelp.app/extended-tribe-profile.quickbar.js?_='+~~(Date.now()/9e6))
```

### Extended map popup

This script extends the map popup with additional info.

![img.png](assets/extended-map-popup.png)

#### Installation

[User script](https://scripts.twhelp.app/extended-map-popup.user.js)

Quick bar:
```javascript
javascript:
    $.getScript('https://scripts.twhelp.app/extended-map-popup.quickbar.js?_='+~~(Date.now()/9e6))
```

### Extended village profile

This script adds additional info and actions on a village overview.

![img.png](assets/extended-village-profile.png)

#### Installation

[User script](https://scripts.twhelp.app/extended-village-profile.user.js)

Quick bar:
```javascript
javascript:
    $.getScript('https://scripts.twhelp.app/extended-village-profile.quickbar.js?_='+~~(Date.now()/9e6))
```

## Contributing

If you would like to contribute to the software, please contact me via [email](mailto:contact@twhelp.app).

## License

This project is licensed under the MIT license. See the [LICENSE](LICENSE) file for the full license text.

